/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.updater.config;

import java.util.ArrayList;
import java.util.Iterator;

import org.xml.sax.SAXException;

import fr.gouv.finances.cp.utils.xml.marshal.InvalidXmlDefinition;
import fr.gouv.finances.cp.utils.xml.marshal.XmlAttributes;
import fr.gouv.finances.cp.utils.xml.marshal.XmlMarshallable;
import fr.gouv.finances.cp.utils.xml.marshal.XmlOutputter;

public class ForeignSitesModel implements XmlMarshallable {
	public static final transient String TAG = "foreign-sites";
	
	private ArrayList<SiteModel> sites;

	public ForeignSitesModel(String tag) {
		super();
		sites = new ArrayList<SiteModel>();
	}

	public void addCharacterData(String cData) throws SAXException {
	}

	public void addChild(XmlMarshallable child, String tagName) throws SAXException {
		sites.add((SiteModel)child);
	}

	public XmlMarshallable getAttributes(XmlAttributes attributes) throws SAXException {
		return this;
	}

	public void marshall(XmlOutputter output) {
		output.startTag(TAG);
		for(Iterator<SiteModel> it=sites.iterator();it.hasNext();)
			it.next().marshall(output);
		output.endTag(TAG);
	}

	public void validate() throws InvalidXmlDefinition {
	}
	public ForeignSitesModel clone() {
		ForeignSitesModel fs = new ForeignSitesModel(TAG);
		for(Iterator<SiteModel> it=sites.iterator();it.hasNext();)
			fs.sites.add(it.next());
		return fs;
	}

	public ArrayList<SiteModel> getSites() {
		return sites;
	}

	public void setSites(ArrayList<SiteModel> sites) {
		this.sites = sites;
	}

}
