/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.updater.config;

import org.xml.sax.SAXException;

import fr.gouv.finances.cp.utils.xml.marshal.XmlAttributes;
import fr.gouv.finances.cp.utils.xml.marshal.XmlMarshallable;
import fr.gouv.finances.cp.utils.xml.marshal.XmlOutputter;

public class SiteModel extends TexteModel {
	public static final transient String TAG = "site";
	private String name;

	public SiteModel(String tagName) {
		super(tagName);
	}

	@Override
	public XmlMarshallable getAttributes(XmlAttributes attributes) throws SAXException {
		name=attributes.getValue("name");
		return this;
	}

	@Override
	public void marshall(XmlOutputter output) {
		output.startTag(TAG);
		output.addAttribute("name",name);
		output.addCharacterData(getText());
		output.endTag(TAG);
	}

	@Override
	public SiteModel clone() {
		// TODO Auto-generated method stub
		SiteModel sm = new SiteModel(TAG);
		sm.name=this.name;
		try {
			sm.addCharacterData(getText());
		} catch(Throwable t) {}
		return sm;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	

}
