/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.updater.config;

import org.xml.sax.SAXException;

import fr.gouv.finances.cp.utils.xml.marshal.InvalidXmlDefinition;
import fr.gouv.finances.cp.utils.xml.marshal.XmlAttributes;
import fr.gouv.finances.cp.utils.xml.marshal.XmlMarshallable;
import fr.gouv.finances.cp.utils.xml.marshal.XmlOutputter;

public class TexteModel implements XmlMarshallable {
	public static final transient String TAG = "text";
	
	private String tagName;
	private StringBuilder data;

	public TexteModel(String tagName) {
		super();
		this.tagName=tagName;
		this.data = new StringBuilder();
	}

	public void addCharacterData(String cData) throws SAXException {
		data.append(cData);
	}

	public void addChild(XmlMarshallable child, String tagName) throws SAXException {
	}

	public XmlMarshallable getAttributes(XmlAttributes attributes) throws SAXException {
		return this;
	}

	public void marshall(XmlOutputter output) {
		output.startTag(tagName);
		output.addCharacterData(data.toString());
		output.endTag(tagName);
	}

	public void validate() throws InvalidXmlDefinition {
	}
	
	public TexteModel clone() {
		TexteModel tm = new TexteModel(tagName);
		tm.data = new StringBuilder();
		tm.data.append(this.getText());
		return tm;
	}
	
	public String getText() { return data.toString().trim(); }

}
